Subject: Default match types and for_every_part

From: "Nigel Swinson" <[email-masked]>
Date: Fri, 21 Apr 2006 12:21:59 +0100

http://www.ietf.org/internet-drafts/draft-ietf-sieve-3028bis-06.txt

In 2.7.1, buried in a long paragraph, it says "Commands default to using ":is" matching if no match type argument is supplied".  In 5.7 when discussing the header test it explicitly says that the default match type for the header test is "is", but in 5.1, and 5.4 when discussing envelope and address tests there is no mention.  I found this to be inconsistent and initially assumed that the default match type for address/envelope was unspecified.  

I suggest we remove the reference to the default match type from section 5.7, and split the "long" paragraph in 2.7.1 at the "Note" that discusses interactions with comparators.

While you are at it, you might want to correct the "supoprt" typo.

http://www.ietf.org/internet-drafts/draft-ietf-sieve-body-03.txt

I think it makes no sense for the default match type to be :is for the body test, could it be :contains, and could say so in section 3?  Or do people think it is easier for the default match type to always be :is?

http://www.ietf.org/internet-drafts/draft-ietf-sieve-mime-loop-00.txt

I think it should be foreverypart, not for_every_part.  We already have addheader, deleteheader, fileinto.  We don't have add_header, delete_header, file_into.

Nigel